Subject: Re: [PATCH net-next 2/8] devlink: add PF and VF port flavours

From: Jiri Pirko <[email-masked]>
Date: Wed, 27 Feb 2019 21:17:27 +0100

Wed, Feb 27, 2019 at 06:23:26PM CET, [email-masked] wrote:
>On Wed, 27 Feb 2019 13:41:35 +0100, Jiri Pirko wrote:
>> Wed, Feb 27, 2019 at 01:23:27PM CET, [email-masked] wrote:
>> >Tue, Feb 26, 2019 at 07:24:30PM CET, [email-masked] wrote:  
>> >>Current port flavours cover simple switches and DSA.  Add PF
>> >>and VF flavours to cover "switchdev" SR-IOV NICs.
>> >>
>> >>Example devlink user space output:
>> >>
>> >>$ devlink port
>> >>pci/0000:82:00.0/0: type eth netdev p4p1 flavour physical
>> >>pci/0000:82:00.0/10000: type eth netdev eth0 flavour pcie_pf pf 0
>> >>pci/0000:82:00.0/10001: type eth netdev eth1 flavour pcie_vf pf 0 vf 0
>> >>pci/0000:82:00.0/10002: type eth netdev eth2 flavour pcie_vf pf 0 vf 1  
>> >
>> >Wait a second, howcome pf and vfs have the same PCI address?  
>> 
>> Oh, I think you have these as eswitch port representors. Confusing...
>
>FWIW I don't like the word representor, its a port. We don't call
>physical ports "representors" even though from ASIC's point of view
>they are exactly the same.

My point is, they are not PFs and VFs. We have to find a way to clearly
see what's what.